[7100] Poor performance ubuntu 12.04 on nvidia geforce 7100 / nforce 630i [10de:07e1]

Reported by André Lopes on 2012-03-22
86
This bug affects 24 people
Affects Status Importance Assigned to Milestone
Linux
New
Medium
Unassigned
Nouveau Xorg driver
New
Undecided
Unassigned
nvidia-graphics-drivers (Ubuntu)
Undecided
Unassigned

Bug Description

I noticed that if you do not activate the nvidia drivers, the games get faster.

It is noted that in games of Wine. The Sims, GTA.

The part of the history of video game, is always lags with nvidia drivers active.
---
.proc.driver.nvidia.gpus.0: Error: [Errno 21] É uma directoria: '/proc/driver/nvidia/gpus/0'
.proc.driver.nvidia.registry: Binary: ""
.proc.driver.nvidia.version:
 NVRM version: NVIDIA UNIX x86 Kernel Module 295.20 Mon Feb 6 20:25:38 PST 2012
 GCC version: gcc version 4.6.3 (Ubuntu/Linaro 4.6.3-1ubuntu3)
.tmp.unity.support.test.0:

ApportVersion: 1.94.1-0ubuntu2
Architecture: i386
CheckboxSubmission: 711c1cb808c7c6b42e6f73bc13ef5c46
CheckboxSystem: daed2f3d6643b4a84b4520a2427f8c2b
CompizPlugins: [core,bailer,detection,composite,opengl,compiztoolbox,decor,place,move,resize,grid,mousepoll,imgpng,gnomecompat,session,snap,wall,regex,vpswitch,animation,expo,fade,unitymtgrabhandles,workarounds,ezoom,scale,unityshell]
CompositorRunning: compiz
DistUpgraded: 2012-03-14 21:42:32,857 DEBUG enabling apt cron job
DistroCodename: precise
DistroRelease: Ubuntu 12.04
DistroVariant: ubuntu
DkmsStatus: nvidia-current-updates, 295.20, 3.2.0-20-generic, i686: installed
GraphicsCard:
 NVIDIA Corporation C73 [GeForce 7100 / nForce 630i] [10de:07e1] (rev a2) (prog-if 00 [VGA controller])
   Subsystem: Micro-Star International Co., Ltd. Device [1462:736b]
JockeyStatus:
 xorg:nvidia_current - Controlador de aceleração gráfica NVIDIA (Porprietários, Desactivado, Não utilizado)
 xorg:nvidia_current_updates - Driver gráfico de aceleração NVIDIA (atualizações pós instalação) (Porprietários, Activo, Em uso)
Lsusb:
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
 Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 001 Device 002: ID 0424:2228 Standard Microsystems Corp. 9-in-2 Card Reader
MachineType: MEDIONPC MS-7366
NonfreeKernelModules: nvidia
Package: nvidia-graphics-drivers (not installed)
ProcKernelCmdLine: root=UUID=f09c0c93-3fca-4d12-b4a6-091855e04e14 ro locale=pt_PT quiet splash
ProcVersionSignature: Ubuntu 3.2.0-20.32-generic 3.2.12
Tags: precise ubuntu single-occurrence reproducible compiz-0.9
Uname: Linux 3.2.0-20-generic i686
UpgradeStatus: Upgraded to precise on 2012-03-14 (8 days ago)
UserGroups: adm admin cdrom dialout dip fax floppy fuse lpadmin plugdev sambashare tape video
XorgConf:
 Section "Device"
  Identifier "Default Device"
  Option "NoLogo" "True"
 EndSection
dmi.bios.date: 02/25/2008
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: A7366MLN.20I
dmi.board.asset.tag: To Be Filled By O.E.M.
dmi.board.name: MS-7366
dmi.board.vendor: MEDIONPC
dmi.board.version: 2.2
dmi.chassis.asset.tag: To Be Filled By O.E.M.
dmi.chassis.type: 3
dmi.chassis.vendor: To Be Filled By O.E.M.
dmi.chassis.version: To Be Filled By O.E.M.
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrA7366MLN.20I:bd02/25/2008:svnMEDIONPC:pnMS-7366:pvr2.2:rvnMEDIONPC:rnMS-7366:rvr2.2:cvnToBeFilledByO.E.M.:ct3:cvrToBeFilledByO.E.M.:
dmi.product.name: MS-7366
dmi.product.version: 2.2
dmi.sys.vendor: MEDIONPC
version.compiz: compiz 1:0.9.7.0+bzr3035-0ubuntu1
version.libdrm2: libdrm2 2.4.30-1ubuntu1
version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.2-0ubuntu1
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental 8.0.2-0ubuntu1
version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.2-0ubuntu1
version.nvidia-graphics-drivers: nvidia-graphics-drivers N/A
version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu7
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.0-0ubuntu1
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2
---
.proc.driver.nvidia.gpus.0: Error: [Errno 21] É uma directoria: '/proc/driver/nvidia/gpus/0'
.proc.driver.nvidia.registry: Binary: ""
ApportVersion: 2.0-0ubuntu3
Architecture: i386
CurrentDmesg: Error: command ['sh', '-c', 'dmesg | comm -13 --nocheck-order /var/log/dmesg -'] failed with exit code 1: comm: /var/log/dmesg: Permission denied
DistUpgraded: 2012-03-14 21:42:32,857 DEBUG enabling apt cron job
DistroCodename: precise
DistroRelease: Ubuntu 12.04
DistroVariant: ubuntu
DkmsStatus: nvidia-current-updates, 295.33, 3.2.0-21-generic, i686: installed
MachineType: MEDIONPC MS-7366
NonfreeKernelModules: nvidia
Package: nvidia-graphics-drivers (not installed)
ProcKernelCmdLine: root=UUID=f09c0c93-3fca-4d12-b4a6-091855e04e14 ro locale=pt_PT quiet splash
ProcVersionSignature: Ubuntu 3.2.0-21.34-generic 3.2.13
Tags: precise ubuntu
Uname: Linux 3.2.0-21-generic i686
UpgradeStatus: Upgraded to precise on 2012-03-14 (19 days ago)
UserGroups: nopasswdlogin
dmi.bios.date: 02/25/2008
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: A7366MLN.20I
dmi.board.asset.tag: To Be Filled By O.E.M.
dmi.board.name: MS-7366
dmi.board.vendor: MEDIONPC
dmi.board.version: 2.2
dmi.chassis.asset.tag: To Be Filled By O.E.M.
dmi.chassis.type: 3
dmi.chassis.vendor: To Be Filled By O.E.M.
dmi.chassis.version: To Be Filled By O.E.M.
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrA7366MLN.20I:bd02/25/2008:svnMEDIONPC:pnMS-7366:pvr2.2:rvnMEDIONPC:rnMS-7366:rvr2.2:cvnToBeFilledByO.E.M.:ct3:cvrToBeFilledByO.E.M.:
dmi.product.name: MS-7366
dmi.product.version: 2.2
dmi.sys.vendor: MEDIONPC
version.compiz: compiz 1:0.9.7.2-0ubuntu4
version.libdrm2: libdrm2 2.4.32-1ubuntu1
version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.2-0ubuntu3
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental 8.0.2-0ubuntu3
version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.2-0ubuntu3
version.nvidia-graphics-drivers: nvidia-graphics-drivers N/A
version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu8
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.0-0ubuntu1
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2

André Lopes (zipatei) wrote :

1) Drivers Nvidia not active and work perfect:

$ glxinfo | grep render
direct rendering: Yes
OpenGL renderer string: Gallium 0.4 on llvmpipe (LLVM 0x300)
    GL_NV_conditional_render, GL_AMD_draw_buffers_blend,

apport information

tags: added: apport-collected compiz-0.9 precise reproducible single-occurrence ubuntu
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Drivers Nvidia active:

$ glxinfo | grep render
direct rendering: Yes
OpenGL renderer string: GeForce 7100 / nForce 630i/integrated/SSE2
    GL_NV_vertex_program3, GL_NVX_conditional_render, GL_OES_depth24,
    GL_OES_fbo_render_mipmap, GL_OES_get_program_binary, GL_OES_mapbuffer,

Test works well but in game no.

André Lopes (zipatei) wrote :

See the difference... Ubuntu 12.04 - The Sims in Wine

André Lopes (zipatei) wrote :

Drivers nvidia active... see the diference

affects: nvidia-drivers-ubuntu → linux
no longer affects: linux
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in nvidia-graphics-drivers (Ubuntu):
status: New → Confirmed
Kirill Kabardin (kkabardin) wrote :

Have you tried to disable vertical synchronization in nvidia-settings? It seems like workaround.

André Lopes (zipatei) wrote :

But it is possible to disable vsync in the nouveau drivers?

This command nvidia-settings is not only for packages nvidia-graphics-drivers?

André Lopes (zipatei) wrote :

I disable vertical synchronization in nvidia-settings and compiz, but its same problem...

André Lopes (zipatei) wrote :

See... vsync is disable and continue the same...

André Lopes (zipatei) on 2012-03-24
tags: removed: compiz-0.9 reproducible single-occurrence ubuntu
André Lopes (zipatei) wrote :

https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers/+bug/859979

It seems a shared memory issue, with 256 MB configured every animation stop and goes; but with 128 MB, everything works fine.

Robert Hooker (sarvatt) on 2012-03-25
Changed in oem-priority:
status: New → Invalid
Chris Van Hoof (vanhoof) on 2012-03-25
no longer affects: oem-priority
André Lopes (zipatei) wrote :

i think this is the beginning of the solution: http://ubuntuforums.org/showthread.php?p=9534907#post9534907

Bryce Harrington (bryce) on 2012-04-02
summary: - Poor performance ubuntu 12.04 on nvidia geforce 7100 / nforce 630i
- [10de:07e1]
+ [7100] Poor performance ubuntu 12.04 on nvidia geforce 7100 / nforce
+ 630i [10de:07e1]
Bryce Harrington (bryce) wrote :

I notice several bugs reporting similar problems with older nvidia cards: 877438 (8xxx cards), 940742 (6xxx cards), 943643 (9800), 958251 (8600), 962191 (7100). The problems include generally degraded performance, fuzzy fonts, and/or lagging in games, which did not exist in earlier versions of the nvidia driver.

We've recently added a new 295-33 version of -nvidia to Ubuntu. The changelog doesn't specifically list a fix for this type of problem, but it does list a few performance fixes, and would be worth re-testing. Update to nvidia 295.33 and report back here whether or not it improved the performance.

Note, you might be seeing crashes, corruption, or other assorted problems, but these may be separate bugs, let's just focus on the performance regression on this bug report.

Changed in nvidia-graphics-drivers (Ubuntu):
status: Confirmed → Incomplete

apport information

tags: added: ubuntu
description: updated

apport information

apport information

André Lopes (zipatei) wrote :

Not it improved the performance...

It seems a shared memory issue, with 256 MB OR Auto in Bios configured every animation stop and goes; but with 128 MB, everything works fine.

André Lopes (zipatei) on 2012-04-04
Changed in nvidia-graphics-drivers (Ubuntu):
status: Incomplete → Confirmed
Claudio (cwr) wrote :

Hi

Still having the problem with the 295.40-0ubuntu1 driver under Kubuntu - KDE gets a framerate of around 0,2 fps - so completely unusable. Without compositing or Xrender compositing its usable but not really fast.
glxgears give around 5 fps with the last settings - for my card (6150SE/nforce 430) that should be around at least 1000 fps.
With nouveau glxgears gives around 700 fps but KDE is still laggy when using OpenGL compositing.
Hm just read the comment #40 - I know I have also set 256 MB shared memory in BIOS - will now try it with 128 MB.

Claudio (cwr) wrote :

Hm no - reducing the graphics memory in BIOS to 128 or 64 MB didn't change anything.

André Lopes (zipatei) wrote :

With the new version I'm having problems at startup of Ubuntu.

With the new nvidia driver 295.40 Unity and gnome shell are not working anymore,although gnome classic and Unity 2D are working (may be 3D acceleration problem) so i went back to driver 295.33
nvidia GeForce 7025 / nForce 630a

André Lopes (zipatei) wrote :

Here too. Apart from the problems at startup (problems before the login screen), also check the same as Eslam Abd El-Ghany, so Unity 2D works here with nvidia driver 295.40.

Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v3.4kernel[1] (Not a kernel in the daily directory). Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag(Only that one tag, please leave the other tags). This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text.

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.4-rc3-precise/

Changed in linux:
importance: Undecided → Medium
tags: added: needs-upstream-testing
Claudio (cwr) wrote :

Hi Joseph

The nvidia-current packages doesn't want to build a kernel module against the rc3 kernel (I also installed the two linux-header packages):
ERROR (dkms apport): kernel package linux-headers-3.4.0-030400rc3-generic is not supported
Error! Bad return status for module build on kernel: 3.4.0-030400rc3-generic (x86_64)
Consult /var/lib/dkms/nvidia-current/295.40/build/make.log for more information.

André Lopes (zipatei) on 2012-04-18
tags: added: 7100 geforce kernel-bug-exists-upstream performance
removed: needs-upstream-testing ubuntu
tags: added: geforce7100
removed: 7100 geforce
tags: added: geforce-7100
removed: geforce7100
Diver (diver) wrote :

I'd like to note that for me it started from Ubuntu 10.10.

Pierre Rust (pierre-rust) wrote :

Hi,

I also get this bug . With a fresh install install of 12.04 on on nvidia geforce 7100 / nforce 630i , gnome 3 and unity simply don't work. The only UI working correctly is Gnome Classic with no effect.

Fixed in the new driver 295.49 ?

jacobika (jacobtstewart) wrote :

I just manually installed 295.49 from NVIDIA's website, and things are working well now. Previously, I couldn't run Unity3D, so I switched to XFCE. Unity3D wouldn't even start up - it would just hang when I tried to login. Even in XFCE, I still had problems with OpenGL screensavers running incredibly slow and HTML5 pages in Google Chrome running at 1-2 frames per second (for example, Google's official blog at http://googleblog.blogspot.com). Those issues appear to be gone with the newest drivers. I'm running Unity3D just fine now and have no issues with HTML5 pages.

To post a comment you must log in.